# Generated from cff-0.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cff

Name: rubygem-%{gem_name}
Version: 0.9.0
Release: 1%{?dist}
Summary: A Ruby library for manipulating CITATION.cff files
License: Apache-2.0
URL: https://github.com/citation-file-format/ruby-cff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rubocop) >= 1.15
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop-minitest) >= 0.13
# BuildRequires: rubygem(rubocop-minitest) < 1
# BuildRequires: rubygem(rubocop-performance) >= 1.11.0
# BuildRequires: rubygem(rubocop-performance) < 1.12
# BuildRequires: rubygem(rubocop-rake) >= 0.5.0
# BuildRequires: rubygem(rubocop-rake) < 0.6
# BuildRequires: rubygem(simplecov) >= 0.20.0
# BuildRequires: rubygem(simplecov) < 0.21
# BuildRequires: rubygem(simplecov-lcov) >= 0.8.0
# BuildRequires: rubygem(simplecov-lcov) < 0.9
# BuildRequires: rubygem(test_construct) >= 2.0
# BuildRequires: rubygem(test_construct) < 3
BuildArch: noarch

%description
See https://citation-file-format.github.io/ for more info.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES.md
%{gem_instdir}/CITATION.cff
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENCE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cff.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.9.0-1
- Initial package
